# Dadata

[![Ruby](https://github.com/sendit-ru/dadatas/actions/workflows/main.yml/badge.svg)](https://github.com/sendit-ru/dadatas/actions/workflows/main.yml)
[![Gem Version](https://badge.fury.io/rb/dadatas.svg)](https://badge.fury.io/rb/dadatas)

[Dadata.ru](https://dadata.ru/) API интеграционная обертка для проектов ruby

## Установка

Добавьте эту строку в Gemfile приложения:

```ruby
gem 'dadatas'
```

А затем выполнить:

    $ bundle

Или установите его самостоятельно как:

    $ gem install dadata

## Использование Suggestion

```ruby
require 'dadatas'

dadata = Dadatas::Suggestion.new(api_key: 'YOURKEY',  secret_key: 'YOURSECRETKEY')
```
### Подсказки по организациям

Получение подсказок по названию:
```ruby
dadata.organization(query: 'ООО Рога и копыта')
# => [true, [{ value: "ПАО БАНК", ... }]]
```
Получение подсказок по ИНН:
```ruby
dadata.organization(query: '7707083893')
# => [true, [{ value: "ПАО БАНК", ... }]]
```
### Подсказки по адресу
Получение подсказок по ФИАС:
```ruby
dadata.address_by_fias_id(fias_id: '203221a4-dde4-4954-99cb-e788df9d0ce8')
# => [true, [{ value: "г Казань, ул Кремлевская, д 1", ... }]]
```
Получение подсказок по строке:
```ruby
dadata.address_by_str(query: 'Ижевск г, Устиновский район, Им Конструктора Калашникова М.Т. пр-кт, 17')
# => [true, [{ value: "г Ижевск, пр-кт Им Конструктора Калашникова М.Т., д 17", ... }]]
```
### Подсказки по банкам

Получение подсказок по БИК, SWIFT, ИНН, 'регистрационному номеру, присвоенному Банком России'.
```ruby
dadata.bank(query: '044525225')
# => [true, [{:value=>"ПАО Сбербанк", :unrestricted_value=>"ПАО Сбербанк", ... }]]
```

Получение подсказок по ИНН + КПП (для филиалов)
```ruby
dadata.bank_branch(query: '7728168971', kpp: '667102002')
# => [true, [{:value=>"ФИЛИАЛ \"ЕКАТЕРИНБУРГСКИЙ\" АО \"АЛЬФА-БАНК\"", :unrestricted_value=>"ФИЛИАЛ \"ЕКАТЕРИНБУРГСКИЙ\" АО \"АЛЬФА-БАНК\"", ... }]]
```


## Использование Clean

```ruby
require 'dadatas'

dadata = Dadatas::Clean.new(api_key: 'YOURKEY',  secret_key: 'YOURSECRETKEY')
```

### Разбор адреса из строки, геокодирование

Из строки, геокодирование.
```ruby
dadata.address('москва сухонская 11')
# => [true, [{:source=>"москва сухонская 11", :result=>"г Москва, ул Сухонская, д 11", ... }]]
```

## Вклад в разработку

Bug reports and pull requests are welcome on GitHub at https://github.com/sendit-ru/dadatas.

## Лицензия

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
