# frozen_string_literal: true

require_relative 'lib/dadatas/version'

Gem::Specification.new do |spec|
  spec.name = 'dadatas'
  spec.version = Dadatas::VERSION
  spec.authors = ['Michael Hitchens']
  spec.email = ['m.seleznev@sendit.ru']

  spec.summary = 'Dadata.ru API integration'
  spec.homepage = 'https://github.com/sendit-ru/dadatas'
  spec.license = 'MIT'
  spec.required_ruby_version = '>= 2.6.0'

  spec.metadata = {
    'homepage_uri' => spec.homepage,
    'source_code_uri' => spec.homepage,
    'changelog_uri' => 'https://github.com/sendit-ru/dadatas/blob/master/CHANGELOG.md'
  }

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:test|spec|features)/|\.(?:git|travis|circleci)|appveyor)})
    end
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{\Aexe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  # Requires Ruby faraday to http request
  spec.add_dependency 'faraday', '~> 1.8.0'

  spec.add_development_dependency 'bundler', '>= 2.2.33', '< 3.0'
  spec.add_development_dependency 'byebug'
  spec.add_development_dependency 'faker', '~> 2.19.0'
  spec.add_development_dependency 'rake', '~> 13.0'
  spec.add_development_dependency 'rspec', '>= 1.17', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 1.21'
  spec.add_development_dependency 'webmock', '~> 3.14'
end
